
#region " Inclusions "
using System;
using System.Collections.Generic;
using System.Text;

using Bdt.Shared.Logs;
using Bdt.Shared.Configuration;
#endregion

namespace Bdt.Client.Logs
{

    /// -----------------------------------------------------------------------------
    /// <summary>
    /// Un logger fichier fictif: permet juste de contenir les donnes de config
    /// </summary>
    /// -----------------------------------------------------------------------------
    class NullFileLogger : FileLogger 
    {

        #region " Mthodes "
        /// -----------------------------------------------------------------------------
        /// <summary>
        /// Constructeur pour un log
        /// </summary>
        /// <param name="filename">le nom du fichier dans lequel crire</param>
        /// <param name="append">si false la fichier sera cras</param>
        /// <param name="dateFormat">le format des dates de timestamp</param>
        /// <param name="filter">le niveau de filtrage pour la sortie des logs</param>
        /// -----------------------------------------------------------------------------
        public NullFileLogger (string filename, bool append, string dateFormat, ESeverity filter) {
            Filename = filename;
            Append = append;
            DateFormat = dateFormat;
            Filter = filter;
        }

        /// -----------------------------------------------------------------------------
        /// <summary>
        /// Ecriture d'une entre de log: non supporte
        /// </summary>
        /// <param name="sender">l'emetteur</param>
        /// <param name="message">le message  logger</param>
        /// <param name="severity">la svrit</param>
        /// -----------------------------------------------------------------------------
        public override void Log (object sender, string message, ESeverity severity)
        {
            throw new NotSupportedException();        
        }

        /// -----------------------------------------------------------------------------
        /// <summary>
        /// Fermeture du logger
        /// </summary>
        /// -----------------------------------------------------------------------------
        public override void Close ()
        {
        }
        #endregion

    }
}
